Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific
Class MessagePropertiesTransformerDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
              org.mule.config.spring.parsers.delegate.AbstractParallelDelegatingDefinitionParser
                  org.mule.config.spring.parsers.delegate.ParentContextDefinitionParser
                      org.mule.config.spring.parsers.specific.MessageProcessorDefinitionParser
                          org.mule.config.spring.parsers.specific.MessagePropertiesTransformerDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

    public class MessagePropertiesTransformerDefinitionParser

extends MessageProcessorDefinitionParser

Field Summary

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`logger`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`MessagePropertiesTransformerDefinitionParser()`

Method Summary

Methods inherited from class org.mule.config.spring.parsers.delegate.ParentContextDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, and, getDelegate, getOtherwise, otherwise, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractParallelDelegatingDefinitionParser
`muleParse`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`addDelegate, getBeanName, getDelegate, parseInternal, setDeprecationWarning, size`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Constructor Detail

### MessagePropertiesTransformerDefinitionParser

    public MessagePropertiesTransformerDefinitionParser()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.